/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.test.forms;

import com.test.beans.User;
import jakarta.servlet.http.HttpServletRequest;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
//import java.sql.Connection;

/**
 *
 * @author Dominique_2
 */
public class AuthentifForm {

    private String resultat;
    
    public String getResultat() {
        return resultat;
    }

    public void setResultat(String resultat) {
        this.resultat = resultat;
    }

    /**
     * Contôle si les paramètres ztPseudo et ztMDP passé dans request
     * correspondent à ceux de l'addministrateur Mise à jour de l'attribut
     * resultat
     *
     * @param request
     * @return true is ok, false sinon
     */
    public boolean controlerAdmin(HttpServletRequest request) {
        /*  Comparaison entre l'utilisateur admin et un utilisateur créé 
            avec le pseudo et le mdp saisi */
        User admin = new User("Lovelace", "Ada");
        User userSaisi = new User(  request.getParameter("ztPseudo"), 
                                    request.getParameter("ztMDP"));
        boolean isAdmin = userSaisi.equals(admin);
        
        // Mise à jour de l'attribut resultat
        setResultat(isAdmin ? "Vous êtes administrateur" : "Vous n'êtes pas administrateur");

        return isAdmin; 
    }

}
